CA API Gateway Upgrade Failure from 8.3 to 8.4

book

Article ID: 6586

calendar_today

Updated On:

Products

CA API Gateway

Issue/Introduction

Upgrade failure to 8.4 from 8.3

Cause

The main reason is MAG rpm running on the gateway which is supposed to be uninstalled before upgrading and below is the reference log entry

2017-04-27T09:04:55.732+0530 INFO 25 com.l7tech.server.processcontroller.patching.PatchServiceApiImpl: Output from patch install: ssg < 8.4 is needed by (installed) ssg-mag-2.3.0-1.noarch

Environment

Release: L7SGA299000-8.4-API Gateway SOA Gateway-HARDWARE APPLIANCE DUAL CPU
Component:

Resolution

1. Before upgrading the ssg 8.3 to 8.4 uninstall the mag rpm

2. Apply the platform patch and application patch for 8.4

3. Reboot the node after applying each and every patch

4. After the gateway version upgrades to 8.4 install the MAG which is compatible with ssg 8.4